# List Staking Balances

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Staking", href: "/trading/rest-api/staking" },
    { label: "List Staking Balances" },
  ]}
  title="List Staking Balances"
  method="POST"
  url="https://api.gemini.com/v1/balances/staking"
  description="Returns the available balance in Staking as well as the available balance for withdrawal, broken out by provider."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/balances/staking",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/balances/staking",
        nonce: "<nonce>",
        account: "primary",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listStakingBalances" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listStakingBalances" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listStakingBalances" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Staking", href: "/trading/rest-api/staking" }}
  next={{ label: "Stake Crypto Funds", href: "/trading/rest-api/staking/stake-crypto-funds" }}
/>
